Bug 1325869 - [abrt] dnf: config.py:91:__set__:ValueError: Error parsing "baseurl = repodata": URL must be http, ftp, file or https not ""
Summary: [abrt] dnf: config.py:91:__set__:ValueError: Error parsing "baseurl = repodat...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
(Show other bugs)
Version: 24
Hardware: x86_64 Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:672246000ff9ed50a02185dad78...
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-11 11:55 UTC by Igor Gnatenko
Modified: 2016-08-27 10:21 UTC (History)
5 users (show)

Fixed In Version: dnf-1.1.10-1.fc24 dnf-1.1.10-1.fc23 dnf-1.1.10-1.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-19 19:51:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: _var_log_dnf.log (317.99 KB, text/plain)
2016-04-11 11:55 UTC, Igor Gnatenko
no flags Details
File: backtrace (1.76 KB, text/plain)
2016-04-11 11:55 UTC, Igor Gnatenko
no flags Details
File: dnf-makecache.log (106.21 KB, text/plain)
2016-04-11 11:56 UTC, Igor Gnatenko
no flags Details
File: environ (2.05 KB, text/plain)
2016-04-11 11:56 UTC, Igor Gnatenko
no flags Details

Description Igor Gnatenko 2016-04-11 11:55:48 UTC
Description of problem:
sudo dnf --repofrompath test,repodata makecache

Version-Release number of selected component:
dnf-1.1.8-1.fc24

Additional info:
reporter:       libreport-2.6.4
cmdline:        /usr/bin/python3 /bin/dnf --repofrompath test,repodata makecache
executable:     /bin/dnf
kernel:         4.5.0-302.fc24.x86_64
runlevel:       N 5
type:           Python3
uid:            0

Truncated backtrace:
config.py:91:__set__:ValueError: Error parsing "baseurl = repodata": URL must be http, ftp, file or https not ""

Traceback (most recent call last):
  File "/usr/lib/python3.5/site-packages/dnf/yum/config.py", line 88, in __set__
    value = self.parse(value)
  File "/usr/lib/python3.5/site-packages/dnf/yum/config.py", line 280, in parse
    out.append(self._urloption.parse(url))
  File "/usr/lib/python3.5/site-packages/dnf/yum/config.py", line 234, in parse
    raise ValueError('URL must be %s not "%s"' % (self._schemelist(), s))
ValueError: URL must be http, ftp, file or https not ""

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 93, in _main
    cli.configure(list(map(ucd, args)))
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 1000, in configure
    self._configure_repos(opts)
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 744, in _configure_repos
    repofp.baseurl = path
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 582, in __setattr__
    super(Repo, self).__setattr__(name, value)
  File "/usr/lib/python3.5/site-packages/dnf/yum/config.py", line 91, in __set__
    value, str(e)))
ValueError: Error parsing "baseurl = repodata": URL must be http, ftp, file or https not ""

Local variables in innermost frame:
self: <dnf.yum.config.UrlListOption object at 0x7f9ba573c860>
obj: <Repo test>
value: 'repodata'

Comment 1 Igor Gnatenko 2016-04-11 11:55:57 UTC
Created attachment 1145938 [details]
File: _var_log_dnf.log

Comment 2 Igor Gnatenko 2016-04-11 11:55:58 UTC
Created attachment 1145939 [details]
File: backtrace

Comment 3 Igor Gnatenko 2016-04-11 11:56:00 UTC
Created attachment 1145940 [details]
File: dnf-makecache.log

Comment 4 Igor Gnatenko 2016-04-11 11:56:02 UTC
Created attachment 1145941 [details]
File: environ

Comment 6 Fedora Admin XMLRPC Client 2016-07-08 09:31:42 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 7 Igor Gnatenko 2016-07-21 12:49:13 UTC
Merged for DNF 2.0 and will be available withing DNF 2.0 release.

Comment 8 Fedora Update System 2016-08-18 15:19:20 UTC
dnf-1.1.10-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-267f843cda

Comment 9 Fedora Update System 2016-08-18 15:20:34 UTC
dnf-1.1.10-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8caa619a9e

Comment 10 Fedora Update System 2016-08-18 15:21:37 UTC
dnf-1.1.10-1.fc24 dnf-plugins-core-0.1.21-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-878284e0d3

Comment 11 Fedora Update System 2016-08-18 16:52:48 UTC
dnf-1.1.10-1.fc25, dnf-plugins-core-0.1.21-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8caa619a9e

Comment 12 Fedora Update System 2016-08-19 00:22:35 UTC
dnf-1.1.10-1.fc23, dnf-plugins-core-0.1.21-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-267f843cda

Comment 13 Fedora Update System 2016-08-19 00:57:47 UTC
dnf-1.1.10-1.fc24, dnf-plugins-core-0.1.21-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-878284e0d3

Comment 14 Fedora Update System 2016-08-19 19:50:41 UTC
dnf-1.1.10-1.fc24, dnf-plugins-core-0.1.21-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-08-23 15:19:48 UTC
dnf-1.1.10-1.fc23, dnf-plugins-core-0.1.21-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-08-27 10:20:49 UTC
dnf-1.1.10-1.fc25, dnf-plugins-core-0.1.21-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.